Bio::DB::GDB(3)

NAME
Bio::DB::GDB - Database object interface to GDB HTTP query

SYNOPSIS
    $gdb = new Bio::DB::GDB;
    $info = $gdb->get_info(-type=>'marker',
                             -id=>'D1S243'); # Marker name
   print "genbank id is ", $info->{'gdbid'},
    "\nprimers are (fwd, rev) ", join(",", @{$info->{'primers'}}),
    "\nproduct length is ", $info->{'length'}, "\n";

DESCRIPTION
This class allows connections to the Genome Database (GDB) and queries to retrieve any database objects. See http://www.gdb.org/ or any mirror for details.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via email or the web:

  bioperl-bugs@bio.perl.org
  http://bio.perl.org/bioperl-bugs/

AUTHOR - Jason Stajich
Email jason@chg.mc.duke.edu

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  ua
 Title   : ua
 Usage   : my $ua = $self->ua or
           $self->ua($ua)
 Function: Get/Set a LWP::UserAgent for use
 Returns : reference to LWP::UserAgent Object
 Args    : $ua - must be a LWP::UserAgent

  get_params
 Title   : get_params
 Usage   : my %params = $self->get_params($mode)
 Function: Returns key,value pairs to be passed to query
            for mode ('marker', 'gene')
 Returns : a key,value pair hash
 Args    : 'marker' or 'gene' mode for retrieval

  get_info
 Title   : get_info
 Usage   : my $info = $self->get_info(-type => 'marker',
                                      -id   => 'D1S234');
 Function: Returns key,value pairs specific
 Returns : a key,value pair hash
 Args    : -type => 'marker' or 'gene' mode for retrieval
           -id   => unique id to query for

  get_request
 Title   : get_request
 Usage   : my $url = $self->get_request
 Function: HTTP::Request
 Returns :
 Args    : %qualifiers = a hash of qualifiers (ids, format, etc)